
# TODO: manually put keys and values
RefframeworkCreationWizardTitle=New Refframework Diagram
RefframeworkCreationWizard_DiagramModelFilePageTitle=Create Refframework Diagram
RefframeworkCreationWizard_DiagramModelFilePageDescription=Select file that will contain diagram model.
RefframeworkCreationWizard_DomainModelFilePageTitle=Create Refframework Domain Model
RefframeworkCreationWizard_DomainModelFilePageDescription=Select file that will contain domain model.
RefframeworkCreationWizardOpenEditorError=Error opening diagram editor
RefframeworkCreationWizardCreationError=Creation Problems
RefframeworkCreationWizardPageExtensionError=File name should have {0} extension.
RefframeworkDiagramEditorUtil_OpenModelResourceErrorDialogTitle=Error
RefframeworkDiagramEditorUtil_OpenModelResourceErrorDialogMessage=Failed to load model file {0}
RefframeworkDiagramEditorUtil_CreateDiagramProgressTask=Creating diagram and model files
RefframeworkDiagramEditorUtil_CreateDiagramCommandLabel=Creating diagram and model
RefframeworkDocumentProvider_isModifiable=Updating cache failed
RefframeworkDocumentProvider_handleElementContentChanged=Failed to refresh hierarchy for changed resource
RefframeworkDocumentProvider_IncorrectInputError={1}
RefframeworkDocumentProvider_NoDiagramInResourceError=Diagram is not present in resource
RefframeworkDocumentProvider_DiagramLoadingError=Error loading diagram
RefframeworkDocumentProvider_UnsynchronizedFileSaveError=The file has been changed on the file system
RefframeworkDocumentProvider_SaveDiagramTask=Saving diagram
RefframeworkDocumentProvider_SaveNextResourceTask=Saving {0}
RefframeworkDocumentProvider_SaveAsOperation=Saving {0} diagram as
InitDiagramFile_ResourceErrorDialogTitle=Error
InitDiagramFile_ResourceErrorDialogMessage=Model file loading failed
InitDiagramFile_WizardTitle=Initialize new {0} diagram file
InitDiagramFile_OpenModelFileDialogTitle=Select domain model
RefframeworkNewDiagramFileWizard_CreationPageName=Initialize new diagram file
RefframeworkNewDiagramFileWizard_CreationPageTitle=Diagram file
RefframeworkNewDiagramFileWizard_CreationPageDescription=Create new diagram based on {0} model content
RefframeworkNewDiagramFileWizard_RootSelectionPageName=Select diagram root element
RefframeworkNewDiagramFileWizard_RootSelectionPageTitle=Diagram root element
RefframeworkNewDiagramFileWizard_RootSelectionPageDescription=Select semantic model element to be depicted on diagram
RefframeworkNewDiagramFileWizard_RootSelectionPageSelectionTitle=Select diagram root element:
RefframeworkNewDiagramFileWizard_RootSelectionPageNoSelectionMessage=Diagram root element is not selected
RefframeworkNewDiagramFileWizard_RootSelectionPageInvalidSelectionMessage=Invalid diagram root element is selected
RefframeworkNewDiagramFileWizard_InitDiagramCommand=Initializing diagram contents
RefframeworkNewDiagramFileWizard_IncorrectRootError=Incorrect model object stored as a root resource object
RefframeworkDiagramEditor_SavingDeletedFile=The original file "{0}" has been deleted.
RefframeworkDiagramEditor_SaveAsErrorTitle=Problem During Save As...
RefframeworkDiagramEditor_SaveAsErrorMessage=Save could not be completed. Target file is already open in another editor.
RefframeworkDiagramEditor_SaveErrorTitle=Save Problems
RefframeworkDiagramEditor_SaveErrorMessage=Could not save file.
RefframeworkElementChooserDialog_SelectModelElementTitle=Select model element
ModelElementSelectionPageMessage=Select model element:
ValidateActionMessage=Validate
Objects1Group_title=Objects
Connections2Group_title=Connections
RefActivity1CreationTool_title=RefActivity
RefActivity1CreationTool_desc=Create new RefActivity
RefArtefact2CreationTool_title=RefArtefact
RefArtefact2CreationTool_desc=Create new RefArtefact
RefRole3CreationTool_title=RefRole
RefRole3CreationTool_desc=Create new RefRole
PrecedingActivity1CreationTool_title=PrecedingActivity
PrecedingActivity1CreationTool_desc=Create new PrecedingActivity
ProducedArtefact2CreationTool_title=ProducedArtefact
ProducedArtefact2CreationTool_desc=Create new ProducedArtefact
RequiredArtefact3CreationTool_title=RequiredArtefact
RequiredArtefact3CreationTool_desc=Create new RequiredArtefact
Role4CreationTool_title=Role
Role4CreationTool_desc=Create new Role
RefActivityRefActivitySubActivityCompartmentEditPart_title=RefActivitySubActivityCompartment
RefActivityRefActivitySubActivityCompartment2EditPart_title=RefActivitySubActivityCompartment

CommandName_OpenDiagram=Open Diagram
NavigatorGroupName_RefFramework_1000_links=links
NavigatorGroupName_RefActivity_2001_outgoinglinks=outgoing links
NavigatorGroupName_RefActivity_2001_incominglinks=incoming links
NavigatorGroupName_RefArtefact_2002_incominglinks=incoming links
NavigatorGroupName_RefRole_2003_incominglinks=incoming links
NavigatorGroupName_RefActivity_3001_outgoinglinks=outgoing links
NavigatorGroupName_RefActivity_3001_incominglinks=incoming links
NavigatorGroupName_RefActivityRequiredArtefact_4001_target=target
NavigatorGroupName_RefActivityRequiredArtefact_4001_source=source
NavigatorGroupName_RefActivityProducedArtefact_4002_target=target
NavigatorGroupName_RefActivityProducedArtefact_4002_source=source
NavigatorGroupName_RefActivityPrecedingActivity_4003_target=target
NavigatorGroupName_RefActivityPrecedingActivity_4003_source=source
NavigatorGroupName_RefActivityRole_4004_target=target
NavigatorGroupName_RefActivityRole_4004_source=source
NavigatorActionProvider_OpenDiagramActionName=Open Diagram

MessageFormatParser_InvalidInputError=Invalid input at {0}
RefframeworkModelingAssistantProviderTitle=Select domain model element
RefframeworkModelingAssistantProviderMessage=Available domain model elements:
